Package org.eclipse.m2m.atl.adt.ui.outline

# Class RenameAction

java.lang.Object
org.eclipse.m2m.atl.adt.ui.outline.AtlAction
org.eclipse.m2m.atl.adt.ui.outline.RenameAction

public class RenameAction extends AtlAction

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.adt.ui.outline.AtlAction

`theSelection`

## Constructor Summary

Constructors
Constructor
Description
`RenameAction(org.eclipse.jface.viewers.ISelection is)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.outline.AtlAction

`getElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RenameAction

public RenameAction(org.eclipse.jface.viewers.ISelection is)

## Method Details

### run

public void run()

Specified by:
  `run` in class `AtlAction`
See Also:
  - `AtlAction.run()`